Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview
Class ImageInfo

    java.lang.Object
      com.sun.pdfview.ImageInfo

    public class ImageInfo

extends java.lang.Object

Constructor Summary
`ImageInfo(int width, int height, java.awt.geom.Rectangle2D clip)`
`ImageInfo(int width, int height, java.awt.geom.Rectangle2D clip, java.awt.Color bgColor)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageInfo

    public ImageInfo(int width,
                     int height,
                     java.awt.geom.Rectangle2D clip)

### ImageInfo

    public ImageInfo(int width,
                     int height,
                     java.awt.geom.Rectangle2D clip,
                     java.awt.Color bgColor)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD